Bug 450451 - evolution-exchange consumes 100% CPU
evolution-exchange consumes 100% CPU
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution-exchange (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-08 12:38 EDT by Jonathan Underwood
Modified: 2008-07-23 03:06 EDT (History)
0 users

See Also:
Fixed In Version: 2.22.3-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-23 03:06:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2008-06-08 12:38:39 EDT
Description of problem:
Starting evolution with an exchange account configured causes massive CPU useage
by evolution-exchange as soon as a message composition window is opened (even if
not associated with the exchange account). CPU useage remains high until
evolution itself is closed.

Version-Release number of selected component (if applicable):
$ rpm -qa | grep evolution
evolution-data-server-2.22.2-1.fc9.x86_64
evolution-webcal-2.21.92-1.fc9.x86_64
evolution-exchange-2.22.2-1.fc9.x86_64
evolution-2.22.2-2.fc9.x86_64


How reproducible:
Always

Steps to Reproduce:
1.Configure an exchange server account
2.Compose a new message
3.Fry an egg on the CPU.
Comment 1 Jonathan Underwood 2008-06-08 12:40:04 EDT
Aha, seems also to be seen on Ubuntu:

https://bugs.launchpad.net/ubuntu/+source/evolution-exchange/+bug/110073

I can confirm that I do not have a GAL server entry when I see this bug.
Comment 2 Matthew Barnes 2008-06-08 12:57:12 EDT
Does the gnome-keyring-daemon process start freaking out too?
Comment 3 Jonathan Underwood 2008-06-08 13:21:37 EDT
Yes, it does.
Comment 4 Jonathan Underwood 2008-06-08 13:24:13 EDT
In /var/log/messages I see a lot of:

Jun  8 18:21:29 localhost gnome-keyring-daemon[2734]: couldn't read 4 bytes from
client:

And actually, just now evolution just totally hung, as described in BZ #354041
Comment 5 Matthew Barnes 2008-07-08 12:27:18 EDT
Give evolution-data-server-2.22.3-2.fc9 a try.  I think that might help.  Should
be landing in F9 updates-testing shortly.
Comment 6 Fedora Update System 2008-07-08 12:27:45 EDT
evolution-data-server-2.22.3-2.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-07-08 22:49:17 EDT
evolution-data-server-2.22.3-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update evolution-data-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6218
Comment 8 Fedora Update System 2008-07-23 03:06:33 EDT
evolution-data-server-2.22.3-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.